Subject: [dtn] Draft changes to TCPCL for BPbis and implementation feedback

From: Brian Sipos <[email-masked]>
Date: Wed, 25 May 2016 18:12:20 +0000

All,
Based on the ongoing discussions of BPbis I have put together an updated TCPCL spec.
These changes are intended to address:
 - issues found in TCPCLv3 implementation
 - need to support eventual BPbis
 - my own need for concrete link security specification
 - keep some amount of similarity with TCPCLv3 to avoid churn

I'm sure that there will be further changes to this, as BPbis itself is itself under review. My hope is to at least provide something concrete to pick nits within.
All comments are appreciated!
________________________________________
From: [email-masked] <[email-masked]>
Sent: Wednesday, May 25, 2016 13:56
To: Brian Sipos; Brian Sipos
Subject: New Version Notification for draft-sipos-dtn-tcpclv4-00.txt

A new version of I-D, draft-sipos-dtn-tcpclv4-00.txt
has been successfully submitted by Brian Sipos and posted to the
IETF repository.

Name:           draft-sipos-dtn-tcpclv4
Revision:       00
Title:          Delay-Tolerant Networking TCP Convergence Layer Protocol Version 4
Document date:  2016-05-25
Group:          Individual Submission
Pages:          32
URL:            https://www.ietf.org/internet-drafts/draft-sipos-dtn-tcpclv4-00.txt
Status:         https://datatracker.ietf.org/doc/draft-sipos-dtn-tcpclv4/
Htmlized:       https://tools.ietf.org/html/draft-sipos-dtn-tcpclv4-00

Abstract:
   This document describes a revised protocol for the TCP-based
   convergence layer for Delay-Tolerant Networking (DTN).  The protocol
   revision is based on implementation issues in the original [RFC7242]
   and updates to the Bundle Protocol contents, encodings, and
   convergence layer requirements in [I-D.ietf-dtn-bpbis].  The majority
   of this specification is unchanged from TCPCL version 3.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat